----------------------------------------------------------------------------
-- ERAS
----------------------------------------------------------------------------

INSERT INTO Eras (
	Type, Description, ShortDescription, Abbreviation, ArtPrefix, Strategy,
	NoGoodies, NoBarbUnits, NoReligion, FirstSoundtrackFirst, ResearchAgreementCost, EmbarkedUnitDefense,
	StartingUnitMultiplier, StartingDefenseUnits, StartingWorkerUnits, StartingExploreUnits, StartingGold, StartingCulture,	FreePopulation, LaterEraBuildingConstructMod,
	StartPercent, BuildingMaintenancePercent, GrowthPercent, TrainPercent, ConstructPercent, CreatePercent, ResearchPercent, BuildPercent, ImprovementPercent, GreatPeoplePercent, CulturePercent,
	TradeRouteFoodBonusTimes100, TradeRouteProductionBonusTimes100, EventChancePerTurn, SpiesGrantedForPlayer, SpiesGrantedForEveryone, FaithCostMultiplier,
	DiploEmphasisReligion, DiploEmphasisLatePolicies, LeaguePercent, WarmongerPercent, SoundtrackSpace, CityBombardEffectTag, AudioUnitVictoryScript, AudioUnitDefeatScript, CityArtType,
	StartingMinorDefenseUnits) 
VALUES (
	'ERA_MACHINE', 'TXT_KEY_ERA_MA', 'TXT_KEY_ERA_MA_SHORT', 'TXT_KEY_ERA_MA_ABBREV', 'MACHINE', 'TXT_KEY_ERA_MACHINE_STRATEGY',
	1, 1, 1, 0, 325, 11,
	3, 3, 2, 2, 150, 450, 3, 0,
	58, 50, 68, 29, 33, 33, 16, 75, 75, 75, 75,
	700, 700, 7, 1, 0, 250,
	1, 8, 300, 95, 80, 'CITY_BOMBARD_LATE', 'AS2D_VICTORY_LATE', 'AS2D_LOSS_LATE', NULL,
	0); -- VP specific

UPDATE Eras SET ID = 9 WHERE Type = 'ERA_MACHINE';
UPDATE Eras SET ID = 8 WHERE Type = 'ERA_FUTURE';
UPDATE Eras SET ID = 7 WHERE Type = 'ERA_POSTMODERN';
UPDATE Eras SET ID = 6 WHERE Type = 'ERA_MODERN';
UPDATE Eras SET ID = 5 WHERE Type = 'ERA_MACHINE';

INSERT INTO Language_en_US (Tag, Text) VALUES
('TXT_KEY_ERA_MA', 'Machine Era'),
('TXT_KEY_ERA_MA_SHORT', 'Machine'),
('TXT_KEY_ERA_MA_ABBREV', 'V');

-- Abbreviations: 0..3 are for Ancient..Renaissance
UPDATE Language_en_US SET Text = 'VI'  WHERE Tag = 'TXT_KEY_ERA_5_ABBREV'; -- Modern
UPDATE Language_en_US SET Text = 'VII' WHERE Tag = 'TXT_KEY_ERA_6_ABBREV'; -- Atomic
UPDATE Language_en_US SET Text = 'VIII'   WHERE Tag = 'TXT_KEY_ERA_7_ABBREV'; -- Information

INSERT INTO Era_CitySoundscapes (EraType, CitySizeType, SoundscapeScript) VALUES
('ERA_MACHINE', 'CITYSIZE_SMALL',  'ASSS_CITY_LATE_SMALL_SELECT_AMB'),
('ERA_MACHINE', 'CITYSIZE_MEDIUM', 'ASSS_CITY_LATE_SMALL_SELECT_AMB'),
('ERA_MACHINE', 'CITYSIZE_LARGE',  'ASSS_CITY_LATE_LARGE_SELECT_AMB');

INSERT INTO Era_NewEraVOs (EraType, VOScript) VALUES
('ERA_MACHINE', 'AS2D_ERA_SPEECH_MODERN_ERA01'),
('ERA_MACHINE', 'AS2D_ERA_SPEECH_MODERN_ERA02'),
('ERA_MACHINE', 'AS2D_ERA_SPEECH_MODERN_ERA03'),
('ERA_MACHINE', 'AS2D_ERA_SPEECH_MODERN_ERA04');

INSERT INTO Era_Soundtracks (EraType, SoundTrack) VALUES
('ERA_MACHINE', 'AS2D_BACH_ALLEGRO'),
('ERA_MACHINE', 'AS2D_BACH_ALLEGRO_ASSAI'),
('ERA_MACHINE', 'AS2D_BACH_ALLEMANDE'),
('ERA_MACHINE', 'AS2D_BACH_BOUREE'),
('ERA_MACHINE', 'AS2D_BACH_BRANDENBURG_2_3'),
('ERA_MACHINE', 'AS2D_BACH_BRANDENBURG_3_1'),
('ERA_MACHINE', 'AS2D_BACH_BRANDENBURG_4_1'),
('ERA_MACHINE', 'AS2D_BACH_BRANDENBURG_6_1'),
('ERA_MACHINE', 'AS2D_BACH_BRANDENBURG_6_3'),
('ERA_MACHINE', 'AS2D_BACH_GIGUE'),
('ERA_MACHINE', 'AS2D_BACH_LARGO'),
('ERA_MACHINE', 'AS2D_BACH_MENUET'),
('ERA_MACHINE', 'AS2D_BACH_SARABANDE'),
('ERA_MACHINE', 'AS2D_BEETHOVEN_ALLEGRETTO'),
('ERA_MACHINE', 'AS2D_BEETHOVEN_ANDANTE'),
('ERA_MACHINE', 'AS2D_BEETHOVEN_ROMANCE_1'),
('ERA_MACHINE', 'AS2D_MOZART_ADAGIO'),
('ERA_MACHINE', 'AS2D_MOZART_ANDANTE'),
('ERA_MACHINE', 'AS2D_MOZART_ROMANCE');

