-- Make space for MA techs
UPDATE Technologies SET GridX = 20 WHERE GridX = 18; -- Future Tech
UPDATE Technologies SET GridX = 19 WHERE GridX = 17; -- INF3
UPDATE Technologies SET GridX = 18 WHERE GridX = 16; -- INF2
UPDATE Technologies SET GridX = 17 WHERE GridX = 15; -- INF1
UPDATE Technologies SET GridX = 16 WHERE GridX = 14; -- ATO2
UPDATE Technologies SET GridX = 15 WHERE GridX = 13; -- ATO1
UPDATE Technologies SET GridX = 14 WHERE GridX = 12; -- MOD2
UPDATE Technologies SET GridX = 13 WHERE GridX = 11; -- MOD1

INSERT INTO Technologies 
	(Type,					Description,				Civilopedia,					Help,							Era,			Trade, GridX, GridY, Quote,							PortraitIndex, IconAtlas,						AudioIntro,				AudioIntroHeader) 
VALUES
	('TECH_MA_MOTION',		'TXT_KEY_TECH_MA_MOTION',	'TXT_KEY_TECH_MA_MOTION_DESC',	'TXT_KEY_TECH_MA_MOTION_HELP',	'ERA_MACHINE',  1,		11,		1, 'TXT_KEY_TECH_MA_MOTION_QUOTE',  0,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_EPWORK',		'TXT_KEY_TECH_MA_EPWORK',	'TXT_KEY_TECH_MA_EPWORK_DESC',	'TXT_KEY_TECH_MA_EPWORK_HELP',	'ERA_MACHINE',  1,		11,		3, 'TXT_KEY_TECH_MA_EPWORK_QUOTE',  1,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_STEEL',		'TXT_KEY_TECH_MA_STEEL',	'TXT_KEY_TECH_MA_STEEL_DESC',	'TXT_KEY_TECH_MA_STEEL_HELP',	'ERA_MACHINE',	1,		11,		5, 'TXT_KEY_TECH_MA_STEEL_QUOTE',	2,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_ASSEMBLY',	'TXT_KEY_TECH_MA_ASSEMBLY',	'TXT_KEY_TECH_MA_ASSEMBLY_DESC','TXT_KEY_TECH_MA_ASSEMBLY_HELP','ERA_MACHINE',	1,		11,		7, 'TXT_KEY_TECH_MA_ASSEMBLY_QUOTE',3,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_PROPA',		'TXT_KEY_TECH_MA_PROPA',	'TXT_KEY_TECH_MA_PROPA_DESC',	'TXT_KEY_TECH_MA_PROPA_HELP',	'ERA_MACHINE',	1,		11,		9, 'TXT_KEY_TECH_MA_PROPA_QUOTE',	4,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_MODART',		'TXT_KEY_TECH_MA_MODART',	'TXT_KEY_TECH_MA_MODART_DESC',	'TXT_KEY_TECH_MA_MODART_HELP',	'ERA_MACHINE',	1,		12,		1, 'TXT_KEY_TECH_MA_MODART_QUOTE',  5,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_ELEC',		'TXT_KEY_TECH_MA_ELEC',		'TXT_KEY_TECH_MA_ELEC_DESC',	'TXT_KEY_TECH_MA_ELEC_HELP',	'ERA_MACHINE',	1,		12,		3, 'TXT_KEY_TECH_MA_ELEC_QUOTE',	6,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_MASSM',		'TXT_KEY_TECH_MA_MASSM',	'TXT_KEY_TECH_MA_MASSM_DESC',	'TXT_KEY_TECH_MA_MASSM_HELP',	'ERA_MACHINE',  1,		12,		5, 'TXT_KEY_TECH_MA_MASSM_QUOTE',	7,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_RAIL',		'TXT_KEY_TECH_MA_RAIL',		'TXT_KEY_TECH_MA_RAIL_DESC',	'TXT_KEY_TECH_MA_RAIL_HELP',	'ERA_MACHINE',  1,		12,		7, 'TXT_KEY_TECH_MA_RAIL_QUOTE',	8,				'AGTECH_ATLAS',					NULL,					NULL),
	('TECH_MA_PETRO',		'TXT_KEY_TECH_MA_PETRO',	'TXT_KEY_TECH_MA_PETRO_DESC',	'TXT_KEY_TECH_MA_PETRO_HELP',	'ERA_MACHINE',  1,		12,		9, 'TXT_KEY_TECH_MA_PETRO_QUOTE',	9,				'AGTECH_ATLAS',					NULL,					NULL);

--==========================================================================================================================
-- Technology TrMA
--==========================================================================================================================


--==========================================================================================================================
-- Prereq Technologies
--==========================================================================================================================

-- Grid X=11 (IND)

INSERT INTO Technology_PrereqTechs 
	(TechType,					PrereqTech)
VALUES
	('TECH_MA_MOTION',			'TECH_ARCHAEOLOGY'),
	('TECH_MA_EPWORK',			'TECH_FERTILIZER'),
	('TECH_MA_MOTION',			'TECH_INDUSTRIALIZATION'),
	('TECH_MA_EPWORK',			'TECH_INDUSTRIALIZATION'),
	('TECH_MA_STEEL',			'TECH_INDUSTRIALIZATION'),
	('TECH_MA_ASSEMBLY',		'TECH_INDUSTRIALIZATION'),
	('TECH_MA_STEEL',			'TECH_DYNAMITE'),
	('TECH_MA_PROPA',			'TECH_MILITARY_SCIENCE'); 

-- Grid X=12 (MA)
INSERT INTO Technology_PrereqTechs 
	(TechType,				PrereqTech)
VALUES
	('TECH_MA_MODART',		'TECH_MA_MOTION'),
	('TECH_MA_MODART',		'TECH_MA_EPWORK'),
	('TECH_MA_ELEC',		'TECH_MA_EPWORK'),
	('TECH_MA_ELEC',		'TECH_MA_STEEL'), 
	('TECH_MA_RAIL',		'TECH_MA_STEEL'), 
	('TECH_MA_RAIL',		'TECH_MA_ASSEMBLY'),
	('TECH_MA_MASSM',		'TECH_MA_EPWORK'),
	('TECH_MA_MASSM',		'TECH_MA_ASSEMBLY'),
	('TECH_MA_MASSM',		'TECH_MA_STEEL'),
	('TECH_MA_RAIL',		'TECH_MA_PROPA'),
	('TECH_MA_PETRO',		'TECH_MA_PROPA');

-- Grid X=13 (MA)

DELETE FROM Technology_PrereqTechs WHERE TechType IN (
	'TECH_BIOLOGY',
	'TECH_ELECTRICITY',
	'TECH_CORPORATIONS',
	'TECH_REPLACEABLE_PARTS',
	'TECH_COMBUSTION');

INSERT INTO Technology_PrereqTechs (TechType, PrereqTech)
VALUES
	('TECH_BIOLOGY',			'TECH_MA_MODART'),
	('TECH_BIOLOGY',			'TECH_MA_ELEC'),
	('TECH_ELECTRICITY',		'TECH_MA_ELEC'),
	('TECH_ELECTRICITY',		'TECH_MA_MASSM'),
	('TECH_CORPORATIONS',		'TECH_MA_MASSM'),
	('TECH_CORPORATIONS',		'TECH_MA_ELEC'),
	('TECH_CORPORATIONS',		'TECH_MA_RAIL'),
	('TECH_REPLACEABLE_PARTS',	'TECH_MA_RAIL'),
	('TECH_COMBUSTION',			'TECH_MA_RAIL'),
	('TECH_REPLACEABLE_PARTS',	'TECH_MA_MASSM'),
	('TECH_COMBUSTION',			'TECH_MA_PETRO'); 

INSERT INTO Tech_SpecialistYieldChanges (TechType, SpecialistType, YieldType, Yield)
VALUES
	('TECH_MA_MOTION',		'SPECIALIST_MUSICIAN',	'YIELD_GOLD',		1),
	('TECH_MA_MOTION',		'SPECIALIST_ARTIST',	'YIELD_GOLD',		1);

--==========================================================================================================================
-- Costs
--==========================================================================================================================

UPDATE Technologies SET Cost =    55 WHERE GridX =  1; --60/60/35		Ancient: 75 turns
UPDATE Technologies SET Cost =   100 WHERE GridX =  2; --100/80/55
UPDATE Technologies SET Cost =   130 WHERE GridX =  3; --125/125/105	Classical: 60 turns
UPDATE Technologies SET Cost =   220 WHERE GridX =  4; --225/225/175
UPDATE Technologies SET Cost =   350 WHERE GridX =  5; --350/350/275	Medieval: 55 turns
UPDATE Technologies SET Cost =   600 WHERE GridX =  6; --600/550/485
UPDATE Technologies SET Cost =  1000 WHERE GridX =  7; --1000/1000/780	Renaissance: 55 turns
UPDATE Technologies SET Cost =  1200 WHERE GridX =  8; --1400/1500/1150
UPDATE Technologies SET Cost =  1500 WHERE GridX =  9; --n/a		Industrial: 45 turns
UPDATE Technologies SET Cost =  1800 WHERE GridX = 10; --n/a
UPDATE Technologies SET Cost =  2300 WHERE GridX = 11; --2200/2500/1600	Machine: 45 turns
UPDATE Technologies SET Cost =  3750 WHERE GridX = 12; --3250/3500/2350
UPDATE Technologies SET Cost =  5000 WHERE GridX = 13; --4800/5500/3100	Modern: 45 turns
UPDATE Technologies SET Cost =  6000 WHERE GridX = 14; --5600/6000/4100
UPDATE Technologies SET Cost =  7000 WHERE GridX = 15; --6500/6500/5100	Atomic: 45 turns
UPDATE Technologies SET Cost =  8000 WHERE GridX = 16; --7250/7500/6400
UPDATE Technologies SET Cost =  9000 WHERE GridX = 17; --8500/8500/7700	
UPDATE Technologies SET Cost = 11000 WHERE GridX = 18; --9250/9500/8800 Information: 60 turns

----------------------------------------------------
-- Text (en_US)
----------------------------------------------------

INSERT INTO Language_en_US (Tag, Text) VALUES
('TXT_KEY_TECH_MA_MOTION', 'Motion Pictures'),
('TXT_KEY_TECH_MA_MOTION_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MOTION_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MOTION_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_EPWORK', 'Early Public Works'),
('TXT_KEY_TECH_MA_EPWORK_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_EPWORK_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_EPWORK_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_STEEL', 'Steel Production'),
('TXT_KEY_TECH_MA_STEEL_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_STEEL_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_STEEL_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_ASSEMBLY', 'Assembly Line'),
('TXT_KEY_TECH_MA_ASSEMBLY_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_ASSEMBLY_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_ASSEMBLY_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_PROPA', 'Propaganda'),
('TXT_KEY_TECH_MA_PROPA_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_PROPA_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_PROPA_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MODART', 'Modern Art'),
('TXT_KEY_TECH_MA_MODART_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MODART_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MODART_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_ELEC', 'Electrification'),
('TXT_KEY_TECH_MA_ELEC_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_ELEC_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_ELEC_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_RAIL', 'Rail Transportation'),
('TXT_KEY_TECH_MA_RAIL_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_RAIL_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_RAIL_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MASSM', 'Mass Market'),
('TXT_KEY_TECH_MA_MASSM_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MASSM_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_MASSM_QUOTE', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_PETRO', 'Petroleum'),
('TXT_KEY_TECH_MA_PETRO_DESC', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_PETRO_HELP', 'To be filled out eventually...'),
('TXT_KEY_TECH_MA_PETRO_QUOTE', 'To be filled out eventually...');
